/*--------------------------------------------------------------
# General
--------------------------------------------------------------*/
/* Smooth scroll behavior */
:root {
  scroll-behavior: smooth;
}

/* Estilo Fuentes:
https://developer.mozilla.org/en-US/docs/Web/CSS/font-family

Google webfonts helper:
https://gwfh.mranftl.com/fonts
*/
:root {
  --fuente-SansSerif: "Ubuntu", sans-serif;
  --fuente-Serif: "Cardo", serif;
}

/* cardo-regular - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Cardo';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/cardo-v19-latin_latin-ext-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* cardo-italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Cardo';
  font-style: italic;
  font-weight: 400;
  src: url('../fonts/cardo-v19-latin_latin-ext-italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* cardo-700 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Cardo';
  font-style: normal;
  font-weight: 700;
  src: url('../fonts/cardo-v19-latin_latin-ext-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}


/* ubuntu-300 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Ubuntu';
  font-style: normal;
  font-weight: 300;
  src: url('../fonts/ubuntu-v20-latin_latin-ext-300.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/ubuntu-v20-latin_latin-ext-300.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}

/* ubuntu-300italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Ubuntu';
  font-style: italic;
  font-weight: 300;
  src: url('../fonts/ubuntu-v20-latin_latin-ext-300italic.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/ubuntu-v20-latin_latin-ext-300italic.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}

/* ubuntu-regular - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Ubuntu';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/ubuntu-v20-latin_latin-ext-regular.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/ubuntu-v20-latin_latin-ext-regular.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}

/* ubuntu-italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Ubuntu';
  font-style: italic;
  font-weight: 400;
  src: url('../fonts/ubuntu-v20-latin_latin-ext-italic.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/ubuntu-v20-latin_latin-ext-italic.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}

/* ubuntu-700 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Ubuntu';
  font-style: normal;
  font-weight: 700;
  src: url('../fonts/ubuntu-v20-latin_latin-ext-700.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/ubuntu-v20-latin_latin-ext-700.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}

/* ubuntu-700italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Ubuntu';
  font-style: italic;
  font-weight: 700;
  src: url('../fonts/ubuntu-v20-latin_latin-ext-700italic.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/ubuntu-v20-latin_latin-ext-700italic.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}

/* Colores */
:root {
  --color-fuente: #505050;
  --color-fuente-2: #707070;
  --color-enlace: #8d8c8c;
  --color-enlaceHover: #949836;
  --color-header:  #1d1d1d;
  --color-default: #d3d3d3;
  --color-primary: #9a7b37;
  --color-primary-trans: #9a7b3785;
  --color-secondary: #949836;
  --color-secondary-trans: #4a4e0491;
  --color-complementario: #2D3B68;
  --color-complementario-trans: #6b779c0e;
  --color-complementario-trans-2: #6b779c60;
  --color-complementario-trans-3: #2d3b68d7;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: 16px;   /*------>  100%  <------*/
  font-weight: normal;
  color: var(--color-fuente);
  font-family: var(--fuente-Serif);
}

h1 {
  font-size: 200%;
  text-align: center;
  font-weight: bold;
}

h2 {
  font-size: 150%;
  text-align: left;
  font-weight: bold;
  padding: 10px 0 10px 0;

}

/* h3 solo en pie de fotos */
h3 {
  padding: 10px 0 0 0;
  text-align: left;
  font-family: var(--fuente-SansSerif);
}

ul,
ol,
dl,
li,
p {
  color: var(--color-fuente);
  font-family: var(--fuente-SansSerif);
  font-size: 100%;
  font-weight:300;
  line-height: 1.5;
}

/* Estilos para las listas de descripciones */
dd,
dt {
  color: var(--color-fuente);
  line-height: 1.5;
}

dt {
  color: var(--color-fuente);
  font-weight: bold;
}

dd {
  margin-bottom: 1.5rem;
}

a:link {
  color: var(--color-enlace);
  text-decoration: none;
}

a:hover {
  color: var(--color-enlaceHover);
  font-style: italic;
}

/*--------------------------------------------------------------
# html, body
--------------------------------------------------------------*/
html, body {
  height: 100%;
}



/*--------------------------------------------------------------
# Accesorios
--------------------------------------------------------------*/
.rowSeparador {
  padding: 2vh 3vw 3vh 3vw;
  max-width: 500px;
}

.lineaDivision {
  height: 2px;
  background-color: var(--color-primary);
  border-radius: 1rem;
  border-color: none;
}

.colSeparador {
  padding: 0 1vW 0 1vw;
}

.colSeparador h2 {
  margin: 3px 0 0 0;
  color: var(--color-primary);
  font-weight: normal;
}

.sepImagen {
  width: 60px;
  height: auto;
}

/*--------------------------------------------------------------
# Ir arriba
--------------------------------------------------------------*/
.rowArriba {
  padding-right: 30px;
  justify-content: flex-end;
  width: 100%;
  max-width: var(--anchoMax);
}

.ir-arriba {
  position: fixed;
  visibility: hidden;
  opacity: 0;
  background: var(--color-complementario-trans-3);
  border-color: var(--color-primary);
  border: 5px;
  width: 44px;
  height: 44px;
  border-radius: 50px;
  transition: all 0.4s;
}

.ir-arriba i {
  font-size: 24px;
  color: #fff;
  line-height: 0;
}

.ir-arriba:hover {
  background: var(--color-secondary-trans);
  color: #fff;
}

.ir-arriba.active {
  visibility: visible;
  opacity: 1;
  bottom: 75px;
}

/*--------------------------------------------------------------
# Mapas y Detalles
--------------------------------------------------------------*/
.rowMapa {
  margin-top: 20px;
}

.rowDetalle {
  margin-top: 20px;
}

.mapaClic {
  max-width: 700px;
  padding: 7px;
  margin-bottom: 20px;
}

.detalleClic {
  max-width: 400px;
  padding: 7px;
  margin-bottom: 20px;
}

.detalleClic p {
  line-height: 1.5;
}

.img-amp {
  cursor:zoom-in;
  position: relative;
  display: block;
  border-radius: 0.5rem;
  overflow: hidden;
}

.img-amp-texto p {
  margin-top: 10px;
  margin-bottom: 0px;
}


/*--------------------------------------------------------------
# Header
--------------------------------------------------------------*/
.sHeader {
  padding: 0;
}

.sHeader svg {
  height: 60px;
  width: 100%;
  fill: var(--color-primary);
}

.sHeader svg:hover {
  fill: var(--color-default);
}

.sHeader .navbar {
  width: 100%;
  padding: 5vh 0 3vh 0;
  background-color: var(--color-header);
}

.sHeader a:hover {
  color: var(--color-default);
  font-style: normal;
}

.sHeader .logo {
  margin: 0 0 0 4vw;
}

.sHeader .logo h1 {
  margin: 0 0 0 1vw;
  font-size: 150%;
  font-weight: normal;
  color: var(--color-primary);
}

.sHeader .logo h1:hover {
  color: var(--color-default);
}

.sHeader .navbar-toggler {
  margin: 0 4vw 0 0;
  border: none;
  box-shadow: none;
}

.sHeader .navbar-toggler i {
  color: var(--color-primary);
  font-size: 32px;
  margin: 0 0 0 0;
}

.sHeader .navbar-toggler i:hover {
  color: var(--color-default);
}

.sHeader .collapse {
  margin: 0 4vw 0 0;
}

.sHeader .nav-link {
  font-family: var(--fuente-Serif);
  font-size: 18px;
  font-weight: Bold;
  color: var(--color-primary);
}

.sHeader .nav-link:hover {
  color: var(--color-default);
}

.sHeader .dropdown-menu {
  border-color: var(--color-primary);
  overflow: hidden;
  overflow-y: auto;
  max-height: calc(100vh - 150px);
}

.sHeader .dropdown-item {
  color: var(--color-primary);
}

.sHeader .nav-link.show {
  color: var(--color-default);
}

@media (max-width: 575px) {
  .sHeader svg {
    max-height: 50px;
  }

  .sHeader .logo h1 {
    font-size: 125%;
  }

  .sHeader .navbar-toggler i {
    font-size: 25px;
  }

  .sHeader .nav-link {
    font-size: 100%;
  }
}

/*--------------------------------------------------------------
# Hero Section
--------------------------------------------------------------*/
.sHero {
  width: 100%;
  /* max-width: var(--anchoMax); */
  background-color: var(--color-complementario-trans);
  padding: 200px 0 0 0;
}

.sHero .row {
  margin: 0;
}

.sHero h1 {
  line-height: 1;
  margin: 0 0 10px 0;
  color: var(--color-primary);
}

.sHero h1 span {
  position: relative;
  z-index: 1;
  padding: 0px 4px;
  display: inline-block;
}

.sHero h1 span::before {
  content: "";
  position: absolute;
  height: 50%;
  bottom: -2px;
  left: 10px;
  right: 0;
  background: var(--color-complementario-trans-2);
  z-index: -1;
}

.sHero p {
  color: var(--color-primary);
  margin: 30px 0 30px 0;
  font-size: 18px;
 }

/*--------------------------------------------------------------
# Galería
--------------------------------------------------------------*/
.sGaleria {
  /* max-width: var(--anchoMax); */
  background-color: none;
}

.sGaleria h2 {
  font-family: var(--fuente-Serif);
  line-height: 2rem;
}

.sGaleria .galeria-item {
  cursor: pointer;
  position: relative;
  display: block;
  max-width: 25rem;
  border-radius: 0.5rem;
  overflow: hidden;
}
.sGaleria .galeria-item .galeria-item-caption {
  position: absolute;
  top: 0;
  left: 0;
  transition: all 0.2s ease-in-out;
  opacity: 0;
  background-color: var(--color-secondary-trans);
}
.sGaleria .galeria-item .galeria-item-caption:hover {
  opacity: 1;
}
.sGaleria .galeria-item .galeria-item-caption .galeria-item-caption-content {
  font-size: 75px;
}

.sGaleria .textoImagen p {
  margin: 5px 0 0 0;
  font-style: italic;
  color: var(--color-fuente-2);
}

.sGaleria .galeria-item .imgGaleria {
  width: 100%;
  height: auto;
}

#rowSeparador-galeria {
  padding-top: 30px;
}

/*--------------------------------------------------------------
# Acerca de
--------------------------------------------------------------*/
.acerca-de {
  width: 100%;
  background-color: var(--color-complementario-trans);
}

/*--------------------------------------------------------------
# cContenido
--------------------------------------------------------------*/
.cContenido {
  width: 100%;
  background-color: var(--color-complementario-trans);
}

/*--------------------------------------------------------------
# Footer
--------------------------------------------------------------*/

.sFooter {
  width: 100%;
  background-color: var(--color-header);
  padding: 0 0 0 0;
}

.sFooter .rLogos {
  height: 10vh;
  align-items:center;
  justify-content: center;
  padding: 1vh 5vw 1vh 5vw;
  margin: 0;
}

.sFooter .cLogos {
  height: 90%;
}

.sFooter .cLogos img {
  height: 100%;
  margin: auto;    
  display: block;
}

.sFooter .sSeparador .rSeparador {
  align-items: center;
  justify-content: center;
}

.sFooter .sSeparador .cSeparador{
  text-align: center;
}

.sFooter .sSeparador i {
  color: var(--color-default);
  font-size: 200%;
}

.sFooter .lineaDivision {
  height: 2px;
  background-color: var(--color-default);
  border-radius: 1rem;
  border-color: none;
}

.sFooter p {
  color: var(--color-default);
}

.sFooter .sContacto {
  padding: 0 0 4vh 0;
}

.sFooter .sContacto a:hover{
  color: var(--color-enlaceHover);
}

.sFooter a:link {
  font-size: large;
  color: var(--color-default);
}
